Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1377721 - errors during writing are not displayed
Summary: errors during writing are not displayed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-20 12:48 UTC by Kamil Páral
Modified: 2016-09-27 00:31 UTC (History)
2 users (show)

Fixed In Version: mediawriter-3.97.1-0.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 00:31:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Kamil Páral 2016-09-20 12:48:44 UTC
Description of problem:
When an error occurs during writing, it says only "Finished!" and no error is displayed in GUI, nor in terminal.

Version-Release number of selected component (if applicable):
mediawriter-3.96.0-0.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1. format the stick to have a single partition
2. mount the partition
3. "cd" in terminal to have CWD at the partition mount point (so that it can't be unmounted)
4. try to write to that stick using mediawriter
5. see that it goes to Finished immediately after pressing Write, and no error is displayed (even though the image was *not* written, of course)

Comment 1 Martin Bříza 2016-09-20 13:00:12 UTC
Fixed upstream. Thank you

Comment 2 Fedora Update System 2016-09-23 05:24:22 UTC
mediawriter-3.97.0-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d84f684d42

Comment 3 Kamil Páral 2016-09-23 12:27:47 UTC
(In reply to Fedora Update System from comment #2)
> mediawriter-3.97.0-0.fc25 has been pushed to the Fedora 25 testing

This now says "Error". It would be great to have it more verbose ("couldn't unmount a partition" or something similar), but yeah, definitely better now.

Comment 4 Martin Bříza 2016-09-23 12:30:08 UTC
It actually writes "Device /dev/sdX is busy" for me. It depends on what the helper got from UDisks over DBus. Sometimes there's nothing... The same goes for dismissing the authentication dialog (sometimes it says that the dialog was dismissed, sometimes not).

Comment 5 Fedora Update System 2016-09-24 17:52:09 UTC
mediawriter-3.97.1-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e34fd77aaf

Comment 6 Fedora Update System 2016-09-27 00:31:48 UTC
mediawriter-3.97.1-0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.